Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 216201

Summary: gcc 4.1.2 compile fails
Product: Gentoo Linux Reporter: Joachim <hellst0rm.pdx>
Component: [OLD] GCC PortingAssignee: Gentoo Toolchain Maintainers <toolchain>
Status: RESOLVED NEEDINFO    
Severity: normal    
Priority: High    
Version: unspecified   
Hardware: AMD64   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: build.log

Description Joachim 2008-04-04 15:54:46 UTC
*
 * ERROR: sys-devel/gcc-4.1.2 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 4600:  Called toolchain_src_compile
 *             environment, line 5071:  Called gcc_src_compile
 *             environment, line 2927:  Called gcc_do_make
 *             environment, line 2757:  Called die 

Reproducible: Always
Comment 1 Joachim 2008-04-04 15:59:14 UTC
Portage 2.1.4.4 (default-linux/amd64/2007.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.24-gentoo-r4 x86_64)
=================================================================
System uname: 2.6.24-gentoo-r4 x86_64 AMD Athlon(tm) 64 X2 Dual Core Processor 6000+
Timestamp of tree: Fri, 04 Apr 2008 11:00:01 +0000
app-shells/bash:     3.2_p17-r1
dev-java/java-config: 1.3.7, 2.1.4
dev-lang/python:     2.4.4-r9
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=athlon64 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="collision-protect distlocks metadata-transfer sandbox sfperms strict unmerge-orphans"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="nb_NO.UTF-8"
LC_ALL="nb_NO.UTF-8"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 acl acpi alsa amd64 arts berkdb bzip2 cairo cdr cli cracklib crypt cups dbus dri dvd dvdr dvdread eds emboss encode esd evo fam firefox fortran gdbm gif gnome gpm gstreamer gtk gtk2 hal iconv imlib ipv6 isdnlog jpeg jpg kerberos ldap lzw lzw-tiff mad midi mikmod mmx mp3 mpeg mudflap ncurses nls nptl nptlonly nsplugin ogg opengl openmp oss pam pcre pdf perl png pppd python qt qt3 qt3support qt4 quicktime readline reflection sdl session slang spell spl sse sse2 ssl svg tcpd tiff truetype unicode usb utf-8 utf8 vorbis xml xorg xpm xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="apm ark chips cirrus cyrix dummy fbdev glint i128 i810 mach64 mga neomagic nv r128 radeon rendition s3 s3virge savage siliconmotion sis sisusb tdfx tga trident tseng v4l vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 2 Harald van Dijk (RETIRED) gentoo-dev 2008-04-04 17:16:33 UTC
Without the error, there's not really any way to see what's going wrong, or to fix it. Would you please attach the build log? It should be saved as /var/tmp/portage/sys-devel/gcc-4.1.2/temp/build.log on your system.
Comment 3 Joachim 2008-04-04 21:50:49 UTC
>>> Unpacking source...
>>> Unpacking gcc-4.1.2.tar.bz2 to /var/tmp/portage/sys-devel/gcc-4.1.2/work
>>> Unpacking gcc-4.1.2-patches-1.1.tar.bz2 to /var/tmp/portage/sys-devel/gcc-4.1.2/work
>>> Unpacking gcc-4.1.2-uclibc-patches-1.0.tar.bz2 to /var/tmp/portage/sys-devel/gcc-4.1.2/work
 * Replacing obsolete head/tail with POSIX compliant ones
 *  - fixed contrib/test_summary
 *  - fixed boehm-gc/configure
 *  - fixed fastjar/configure
 *  - fixed fixincludes/configure
 *  - fixed gcc/configure
 *  - fixed gnattools/configure
 *  - fixed intl/configure
 *  - fixed libada/configure
 *  - fixed libcpp/configure
 *  - fixed libffi/configure
 *  - fixed libgfortran/configure
 *  - fixed libiberty/configure
 *  - fixed libjava/configure
 *  - fixed libmudflap/configure
 *  - fixed libobjc/configure
 *  - fixed libssp/configure
 *  - fixed libstdc++-v3/configure
 *  - fixed zlib/configure
 *  - fixed ltcf-c.sh
 *  - fixed ltcf-cxx.sh
 *  - fixed ltcf-gcj.sh
 *  - fixed ltmain.sh
 *  - fixed boehm-gc/Makefile.in
 *  - fixed fastjar/Makefile.in
 *  - fixed fixincludes/Makefile.in
 *  - fixed gcc/Makefile.in
 *  - fixed gnattools/Makefile.in
 *  - fixed intl/Makefile.in
 *  - fixed libada/Makefile.in
 *  - fixed libcpp/Makefile.in
 *  - fixed libffi/Makefile.in
 *  - fixed libgfortran/Makefile.in
 *  - fixed libiberty/Makefile.in
 *  - fixed libjava/Makefile.in
 *  - fixed libmudflap/Makefile.in
 *  - fixed libobjc/Makefile.in
 *  - fixed libssp/Makefile.in
 *  - fixed libstdc++-v3/Makefile.in
 *  - fixed zlib/Makefile.in
 * updating multilib directories to be: ../lib64 ../lib32
 * patching gcc version: 4.1.2 (Gentoo 4.1.2)
 * Running elibtoolize in: gcc-4.1.2
 *   Applying install-sh-1.5.4.patch ...
 *   Applying ltmain-1.5.patch ...
 *   Applying portage-1.5.10.patch ...
 *   Applying sed-1.5.6.patch ...
 *   Applying test-1.4.1.patch ...
 *   Applying tmp-1.3.5.patch ...
 * Using GNU config files from /usr/share/libtool
 *   Updating libjava/classpath/config.sub                                                                         [ ok ]
 *   Updating libjava/libltdl/config.sub                                                                           [ ok ]
 *   Updating config.sub                                                                                           [ ok ]
 *   Updating libjava/classpath/config.guess                                                                       [ ok ]
 *   Updating libjava/libltdl/config.guess                                                                         [ ok ]
 *   Updating config.guess                                                                                         [ ok ]
 * Fixing misc issues in configure files
 * Applying gcc-configure-texinfo.patch ...                                                                        [ ok ]
 *   Updating configure [LANG] ...                                                                                 [ ok ]
 * Touching generated files
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2 ...
 * CFLAGS="-march=athlon64 -O2 -pipe"
 * CXXFLAGS="-march=athlon64 -O2 -pipe"
 * Configuring gcc ...
 * running gcc-compiler-configure
 * QA Notice: USE Flag 'objc++' not in IUSE for sys-devel/gcc-4.1.2
 * configuring for GCC_LANG: c,c++,treelang,fortran

 * PREFIX:			/usr
 * BINPATH:			/usr/x86_64-pc-linux-gnu/gcc-bin/4.1.2
 * LIBPATH:			/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2
 * DATAPATH:		/usr/share/gcc-data/x86_64-pc-linux-gnu/4.1.2
 * STDCXX_INCDIR:	/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/include/g++-v4

 * Configuring GCC with: 
	--prefix=/usr 
	--bindir=/usr/x86_64-pc-linux-gnu/gcc-bin/4.1.2 
	--includedir=/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/include 
	--datadir=/usr/share/gcc-data/x86_64-pc-linux-gnu/4.1.2 
	--mandir=/usr/share/gcc-data/x86_64-pc-linux-gnu/4.1.2/man 
	--infodir=/usr/share/gcc-data/x86_64-pc-linux-gnu/4.1.2/info 
	--with-gxx-include-dir=/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/include/g++-v4 
	--host=x86_64-pc-linux-gnu 
	--build=x86_64-pc-linux-gnu 
	--disable-altivec 
	--enable-nls 
	--without-included-gettext 
	--with-system-zlib 
	--disable-checking 
	--disable-werror 
	--enable-secureplt 
	--disable-libunwind-exceptions 
	--enable-multilib 
	--enable-libmudflap 
	--disable-libssp 
	--disable-libgcj 
	--enable-languages=c,c++,treelang,fortran 
	--enable-shared 
	--enable-threads=posix 
	--enable-__cxa_atexit 
	--enable-clocale=gnu 
	--with-bugurl=http://bugs.gentoo.org/ 
	--with-pkgversion=Gentoo 4.1.2

/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/configure --prefix=/usr --bindir=/usr/x86_64-pc-linux-gnu/gcc-bin/4.1.2 --includedir=/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/include --datadir=/usr/share/gcc-data/x86_64-pc-linux-gnu/4.1.2 --mandir=/usr/share/gcc-data/x86_64-pc-linux-gnu/4.1.2/man --infodir=/usr/share/gcc-data/x86_64-pc-linux-gnu/4.1.2/info --with-gxx-include-dir=/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/include/g++-v4 --host=x86_64-pc-linux-gnu --build=x86_64-pc-linux-gnu --disable-altivec --enable-nls --without-included-gettext --with-system-zlib --disable-checking --disable-werror --enable-secureplt --disable-libunwind-exceptions --enable-multilib --enable-libmudflap --disable-libssp --disable-libgcj --enable-languages=c,c++,treelang,fortran --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu --with-bugurl=http://bugs.gentoo.org/ --with-pkgversion=Gentoo 4.1.2
creating cache ./config.cache
checking host system type... x86_64-pc-linux-gnu
checking target system type... x86_64-pc-linux-gnu
checking build system type... x86_64-pc-linux-gnu
checking for a BSD compatible install... /usr/bin/install -c
checking whether ln works... yes
checking whether ln -s works... yes
checking for gcc... gcc
checking whether the C compiler (gcc -march=athlon64 -O2 -pipe ) works... yes
checking whether the C compiler (gcc -march=athlon64 -O2 -pipe ) is a cross-compiler... no
checking whether we are using GNU C... yes
checking whether gcc accepts -g... yes
checking for gnatbind... no
checking whether compiler driver understands Ada... no
checking how to compare bootstrapped objects... cmp --ignore-initial=16 $$f1 $$f2
checking for correct version of gmp.h... yes
checking for MPFR... yes
The following languages will be built: c,c++,fortran,treelang
*** This configuration is not supported in the following subdirectories:
     target-libssp target-libffi target-boehm-gc target-zlib target-libjava target-libada gnattools zlib fastjar target-libobjc
    (Any other directories should still work fine.)
checking for bison... bison -y
checking for bison... bison
checking for gm4... no
checking for gnum4... no
checking for m4... m4
checking for flex... flex
checking for flex... flex
checking for makeinfo... makeinfo
checking for expect... no
checking for runtest... no
checking for x86_64-pc-linux-gnu-ar... x86_64-pc-linux-gnu-ar
checking for x86_64-pc-linux-gnu-as... x86_64-pc-linux-gnu-as
checking for x86_64-pc-linux-gnu-dlltool... no
checking for dlltool... no
checking for x86_64-pc-linux-gnu-ld... /usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/../../../../x86_64-pc-linux-gnu/bin/ld
checking for x86_64-pc-linux-gnu-lipo... no
checking for lipo... no
checking for x86_64-pc-linux-gnu-nm... x86_64-pc-linux-gnu-nm
checking for x86_64-pc-linux-gnu-ranlib... x86_64-pc-linux-gnu-ranlib
checking for x86_64-pc-linux-gnu-strip... x86_64-pc-linux-gnu-strip
checking for x86_64-pc-linux-gnu-windres... no
checking for windres... no
checking for x86_64-pc-linux-gnu-objcopy... x86_64-pc-linux-gnu-objcopy
checking for x86_64-pc-linux-gnu-objdump... x86_64-pc-linux-gnu-objdump
checking for x86_64-pc-linux-gnu-ar... x86_64-pc-linux-gnu-ar
checking for x86_64-pc-linux-gnu-as... x86_64-pc-linux-gnu-as
checking for x86_64-pc-linux-gnu-cc... no
checking for cc... cc
checking for x86_64-pc-linux-gnu-c++... x86_64-pc-linux-gnu-c++
checking for x86_64-pc-linux-gnu-dlltool... no
checking for dlltool... no
checking for x86_64-pc-linux-gnu-gcc... x86_64-pc-linux-gnu-gcc
checking for x86_64-pc-linux-gnu-gcj... x86_64-pc-linux-gnu-gcj
checking for x86_64-pc-linux-gnu-gfortran... x86_64-pc-linux-gnu-gfortran
checking for x86_64-pc-linux-gnu-ld... x86_64-pc-linux-gnu-ld
checking for x86_64-pc-linux-gnu-lipo... no
checking for lipo... no
checking for x86_64-pc-linux-gnu-nm... x86_64-pc-linux-gnu-nm
checking for x86_64-pc-linux-gnu-objdump... x86_64-pc-linux-gnu-objdump
checking for x86_64-pc-linux-gnu-ranlib... x86_64-pc-linux-gnu-ranlib
checking for x86_64-pc-linux-gnu-strip... x86_64-pc-linux-gnu-strip
checking for x86_64-pc-linux-gnu-windres... no
checking for windres... no
checking where to find the target ar... host tool
checking where to find the target as... host tool
checking where to find the target cc... just compiled
checking where to find the target c++... just compiled
checking where to find the target c++ for libstdc++... just compiled
checking where to find the target dlltool... host tool
checking where to find the target gcc... just compiled
checking where to find the target gcj... host tool
checking where to find the target gfortran... just compiled
checking where to find the target ld... host tool
checking where to find the target lipo... host tool
checking where to find the target nm... host tool
checking where to find the target objdump... host tool
checking where to find the target ranlib... host tool
checking where to find the target strip... host tool
checking where to find the target windres... host tool
checking whether to enable maintainer-specific portions of Makefiles... no
checking if symbolic links between directories work... yes
updating cache ./config.cache
creating ./config.status
creating Makefile
 * Compiling gcc ...
/var/tmp/portage/sys-devel/gcc-4.1.2/work/build /var/tmp/portage/sys-devel/gcc-4.1.2/work/build /var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2
 * Running make LDFLAGS="" STAGE1_CFLAGS="-O" LIBPATH="/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2" BOOT_CFLAGS=" -march=athlon64 -O2 -pipe" profiledbootstrap
/bin/sh: -c: line 16: unexpected EOF while looking for matching `''
/bin/sh: -c: line 18: syntax error: unexpected end of file
make: *** [configure-build-libiberty] Error 2
 * 
 * ERROR: sys-devel/gcc-4.1.2 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 4603:  Called toolchain_src_compile
 *             environment, line 5074:  Called gcc_src_compile
 *             environment, line 2930:  Called gcc_do_make
 *             environment, line 2760:  Called die
 * The specific snippet of code:
 *       emake LDFLAGS="${LDFLAGS}" STAGE1_CFLAGS="${STAGE1_CFLAGS}" LIBPATH="${LIBPATH}" BOOT_CFLAGS="${BOOT_CFLAGS}" ${GCC_MAKE_TARGET} || die "emake failed with ${GCC_MAKE_TARGET}";
 *  The die message:
 *   emake failed with profiledbootstrap
Comment 4 SpanKY gentoo-dev 2008-04-07 00:19:59 UTC
post log files as attachments, not inline
Comment 5 Joachim 2008-04-07 17:49:48 UTC
Created attachment 149017 [details]
build.log